Skip to content
POST /unified/crm/messages/get_original_content

Query Parameters

Refer Specifying query parameters in Truto APIs

conversationobject

Parent conversation (required)

1 supported
HubSpot
supported
idstring
required·

The unique identifier

conversation_idstring

Parent conversation id (required if conversation omitted)

1 supported
HubSpot
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The message's unique identifier

1 supported
HubSpot
supported
channelstring

The channel the message was sent on

contentstring

The message body/content

1 supported
HubSpot
supported
conversationobject

The parent conversation

1 supported
HubSpot
supported
idstring

The unique identifier

created_atstring · date-time

The date and time of the message's creation

directionstring

The message direction (inbound/outbound)

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sender_typestring

The type of sender (agent, visitor, bot, etc.)

updated_atstring · date-time

The date and time of the message's last update

truto unified crm messages \
  -m get_original_content \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: get_original_content
const result = await truto.unifiedApi.get_original_content(
  'crm',
  'messages',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: get_original_content
    result = await truto_api.unified_api.get_original_content(
        "crm",
        "messages",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X POST 'https://api.truto.one/unified/crm/messages/get_original_content?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/crm/messages/get_original_content?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/messages/get_original_content"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())